Skip to main content
POST
Log a lead activity

Authorizations

Authorization
string
header
required

Enter your JWT token in the format: Bearer

Path Parameters

id
string<uuid>
required

A UUID string identifying this Lead.

Body

activity_name
string
required

Name/title of the activity

Required string length: 1 - 100
activity_type
enum<string>
required

Type of activity

  • call - Call
  • meeting - Meeting
  • email - Email
  • follow_up - Follow Up
  • site_visit - Site Visit
  • proposal - Proposal
Available options:
call,
meeting,
email,
follow_up,
site_visit,
proposal
notes
string

Detailed notes about the activity

activity_at
string<date-time>

When the activity was performed

Response

200 - application/json
id
string<uuid>
required
read-only
activity_name
string
required

Name/title of the activity

Maximum string length: 100
activity_type
enum<string>
required

Type of activity

  • call - Call
  • meeting - Meeting
  • email - Email
  • follow_up - Follow Up
  • site_visit - Site Visit
  • proposal - Proposal
Available options:
call,
meeting,
email,
follow_up,
site_visit,
proposal
notes
string

Detailed notes about the activity

activity_at
string<date-time>

When the activity was performed